Subject: Re: multihoming requirement and NAT64

From: marcelo bagnulo <[email-masked]>
Date: Wed, 02 Apr 2008 18:07:53 +0200

Michael Richardson escribió:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
>
> Okay, so I asked the question so that it would be clearly ruled
> in-scope, or out-of-scope, not because I have a particular concern/solution.
>
> The situation I was concerned about was *not* the situation where the
> NAT64 box had two (IPv4) transit connections (perhaps with different PA
> prefixes --- i.e. cable + ADSL connections at your home).  That
> situation is within the solution space of the implementors of the NAT64
> box --- they can do load balancing among connections, can BEHAVE
> properly, etc. 
>
> The situation I was concerned about was whether there might be two NAT64
> boxes in different locations.   The IPv6 IGP might well send IPv6
> packets in two different directions depending upon what might be
> happening.  
>
> I don't know how to solve such a thing and I think that this scenario
> should be ruled out of scope.
>   

right

This actually doesn't happen in the current NATPT scheme cause each of 
the NATPT boxes are announcing a differen /96 prefix to sink packets 
addressed to the v4 internet. So if the NATPT box goes down, packet 
don't fly to the other one by default

Regards, marcelo

> - -- 
> ]       ON HUMILITY: to err is human. To moo, bovine.           |  firewalls  [
> ]   Michael Richardson, Sandelman Software Works, Ottawa, ON    |net architect[
> ] [email-masked] http://www.sandelman.ottawa.on.ca/ |device driver[
> ] panic("Just another Debian GNU/Linux using, kernel hacking, security guy"); [
>
>
>
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.6 (GNU/Linux)
> Comment: Finger me for keys
>
> iQEVAwUBR/LT4YCLcPvd0N1lAQLktAf/fEwB7vzLBZc1LfJNtRJPuofYkv4z7Gfc
> cXSsLy9pN7/m2qMGyqj3hlfHL4nPlZxkZpOh2z1g8Dy4Khv6olr5wXuYuhAghshg
> pmrovVPw6XTjk0rabT5mYRGZXTwKi+xKjydR59hrL2QLttJj43ribQKmADOyF3rM
> k76GKH6ru3O7sR/doYt0MTw1qhVBqaHw4ya82H+a5xTOKFWcxRgkaZ+6smERucM7
> 7YCBbXKXK5GpQXdzRrc7qfbhF/OG69e3UlVtyEQUNTY93ZV18CFlTdRZOo+PIGGe
> dFJwyN0/p65qxIjVUT0TBiWA7nz/sqFFWnJqXy8Fwgl2YB8bLAR1og==
> =KbDU
> -----END PGP SIGNATURE-----
>
>